%{?nodejs_find_provides_and_requires}
%global enable_tests 0
%global barename string_decoder
Name:                nodejs-string_decoder
Version:             0.10.31
Release:             1
Summary:             The string_decoder module from Node core
License:             MIT
URL:                 https://www.npmjs.org/package/string_decoder
Source0:             http://registry.npmjs.org/string_decoder/-/string_decoder-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging >= 6
%if 0%{?enable_tests}
BuildRequires:       npm(tap)
%endif
%description
The string_decoder module from Node core.

%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string_decoder
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/string_decoder
%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/simple/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/string_decoder/

%changelog
* Thu Aug 20 2020 wangyue <wangyue92@huawei.com> - 0.10.31-1
- package init
